# all files / ol/format/filter/ islike.js

100% Statements 11/11
100% Branches 6/6
100% Functions 1/1
100% Lines 11/11

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    591×

    1×
    1×

    1×

    3×

    3×

    3×

    3×

    3×

    3×

    1×
     goog.provide('ol.format.filter.IsLike');

    goog.require('ol');
    goog.require('ol.format.filter.Comparison');

    /**
     * @classdesc
     * Represents a `<PropertyIsLike>` comparison operator.
     *
     * @constructor
     * @param {!string} propertyName Name of the context property to compare.
     * @param {!string} pattern Text pattern.
     * @param {string=} opt_wildCard Pattern character which matches any sequence of
     *    zero or more string characters. Default is '*'.
     * @param {string=} opt_singleChar pattern character which matches any single
     *    string character. Default is '.'.
     * @param {string=} opt_escapeChar Escape character which can be used to escape
     *    the pattern characters. Default is '!'.
     * @param {boolean=} opt_matchCase Case-sensitive?
     * @extends {ol.format.filter.Comparison}
     * @api
     */
    ol.format.filter.IsLike = function(propertyName, pattern,
        opt_wildCard, opt_singleChar, opt_escapeChar, opt_matchCase) {
      ol.format.filter.Comparison.call(this, 'PropertyIsLike', propertyName);

      /**
       * @public
       * @type {!string}
       */
      this.pattern = pattern;

      /**
       * @public
       * @type {!string}
       */
      this.wildCard = (opt_wildCard !== undefined) ? opt_wildCard : '*';

      /**
       * @public
       * @type {!string}
       */
      this.singleChar = (opt_singleChar !== undefined) ? opt_singleChar : '.';

      /**
       * @public
       * @type {!string}
       */
      this.escapeChar = (opt_escapeChar !== undefined) ? opt_escapeChar : '!';

      /**
       * @public
       * @type {boolean|undefined}
       */
      this.matchCase = opt_matchCase;
    };
    ol.inherits(ol.format.filter.IsLike, ol.format.filter.Comparison);